## org.apache.ivy.plugins.parser.m2
Class PomReader.PomDependencyData

    java.lang.Object
      org.apache.ivy.plugins.parser.m2.PomReader.PomDependencyMgtElement
          org.apache.ivy.plugins.parser.m2.PomReader.PomDependencyData

All Implemented Interfaces:
  PomDependencyMgt

Enclosing class:
  PomReader

    public class PomReader.PomDependencyData

extends PomReader.PomDependencyMgtElement

Constructor Summary
`PomReader.PomDependencyData(PomReader.PomDependencyData copyFrom)`

Method Summary
`java.lang.String` `getClassifier()`
`java.lang.String` `getScope()`
`java.lang.String` `getType()`
`boolean` `isOptional()`

Methods inherited from class org.apache.ivy.plugins.parser.m2.PomReader.PomDependencyMgtElement
`getArtifactId, getExcludedModules, getGroupId, getVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PomReader.PomDependencyData

    public PomReader.PomDependencyData(PomReader.PomDependencyData copyFrom)

Method Detail

### getScope

    public java.lang.String getScope()

  Specified by:
    `getScope` in interface `PomDependencyMgt`
  Overrides:
    `getScope` in class `PomReader.PomDependencyMgtElement`

### getClassifier

    public java.lang.String getClassifier()

### getType

    public java.lang.String getType()

### isOptional

    public boolean isOptional()